### Method

# Gio DataOutputStream put_uint64

#### Declaration [src]

    gboolean
    g_data_output_stream_put_uint64 (
      GDataOutputStream* stream,
      guint64 data,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Puts an unsigned 64-bit integer into the stream.

#### Parameters

`data`

  Type: `guint64`

  A #guint64.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `data` was successfully added to the `stream`.